org.apache.hadoop.yarn.server.nodemanager.nodelabels

## Class NodeDescriptorsScriptRunner<T>

- java.lang.Object
- - java.util.TimerTask
  - - org.apache.hadoop.yarn.server.nodemanager.nodelabels.NodeDescriptorsScriptRunner<T>

- Type Parameters:
    `T` - a certain type of descriptor.
  All Implemented Interfaces:
    Runnable

      public abstract class NodeDescriptorsScriptRunner<T>
      extends TimerTask

  A node descriptors script runner periodically runs a script, parses the output to collect desired descriptors, and then post these descriptors to the given `NodeDescriptorsProvider`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeDescriptorsScriptRunner(String scriptPath, String[] scriptArgs, long scriptTimeout, NodeDescriptorsProvider ndProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanUp()`
    `void` | `run()`

    - ### Methods inherited from class java.util.TimerTask

      `cancel, scheduledExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeDescriptorsScriptRunner

          public NodeDescriptorsScriptRunner(String scriptPath,
                                             String[] scriptArgs,
                                             long scriptTimeout,
                                             NodeDescriptorsProvider ndProvider)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Specified by:
        `run` in class `TimerTask`

    - #### cleanUp

          public void cleanUp()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.